Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIVWriter Class Reference

`#include <vtkIVWriter.h>`

Inheritance diagram for vtkIVWriter:

[legend]
Collaboration diagram for vtkIVWriter:

[legend]
List of all members.

## Detailed Description

export polydata into OpenInventor 2.0 format.

Date:
  2002/08/13 17:14:28

Revision:
  1.21

vtkIVWriter is a concrete subclass of vtkWriter that writes OpenInventor 2.0 files.

See also:
  vtkPolyDataWriter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (58%)
  - Schroeder, Will (23%)
  - Cedilnik, Andy (7%)
  - Lorensen, Bill (5%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkIVWriter.h)`
  - .`cxx` (`/IO/vtkIVWriter.cxx)`

Tests:
  vtkIVWriter (Tests)

Definition at line 51 of file vtkIVWriter.h.

## Public Types
typedef vtkPolyDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkIVWriter * | New ()
int | IsTypeOf (const char *type)
vtkIVWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIVWriter ()
| ~vtkIVWriter ()
void | WriteData ()
void | WritePolyData (vtkPolyData *polyData, FILE *fp)

## Member Typedef Documentation

typedef vtkPolyDataWriter vtkIVWriter::Superclass

| Reimplemented from vtkPolyDataWriter. Definition at line 55 of file vtkIVWriter.h.

## Constructor & Destructor Documentation

vtkIVWriter::vtkIVWriter | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkIVWriter.h.

vtkIVWriter::~vtkIVWriter | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkIVWriter.h.

## Member Function Documentation

vtkIVWriter* vtkIVWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkPolyDataWriter.

virtual const char* vtkIVWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataWriter.

int vtkIVWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

virtual int vtkIVWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

vtkIVWriter* vtkIVWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataWriter.

virtual void vtkIVWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataWriter.

void vtkIVWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPolyDataWriter.

void vtkIVWriter::WritePolyData | ( | vtkPolyData * | polyData,
|  | FILE * | fp
| ) | `[protected]`

The documentation for this class was generated from the following file:

- IO/vtkIVWriter.h